*COMDECK HISTORY PRUTEXT  MAKE THE PRU RBF CODE COMPILE WITH SYMPL TEXT.
          GAV     80/03/11     FC$COM 
 RB2AKDS  IMPLEMENT THE RBF K-DISPLAY FOR PRU INTERFACE.
          GAV     80/07/09     INI,RBFBONES 
          SO      80/08/04     CHOOSE,CON$END,DCM,ENDRBF,INI,QCM,QTEST
                               ROLLOUT,SCH,SMP,UCM,RBF$AID
PRU0009   MODE TO FIX SMP LINKING PROBLEM.
          K-DISPLAY DEVICE ERROR CODE.
          RBF WILL END CONNECTION ON NULL JOB CARDS.
          ADD RBF TABLE DUMPPER CODE. 
          MODIFY REPRIEVE CODE. 
          REWIND OUTPUT BEFORE START PRINTING 
          SO     80/09/11 
 RB2A001  CHANGE IDLE DOWN PROCESSING SUCH THAT ROUTINE WAITSM
          TERMINATES RBF WHEN IDLE DOWN IS REQUESTED. 
          GAV     80/10/13     SMP,WAITSM 
 RB2A003  CHANGE THE DCM STATE TABLE TO ACCEPT THE BATCH DATA SM AS 
          A DO NOTHING INPUT INSTEAD OF A STATE TABLE ERROR INPUT.
          FIX DAYFILE MESSAGES SENT BY INI TO BE NOS STANDARD.
          GAV     80/10/15     DCM,INI
 RB2A004  MOVE SEVERAL ITEMS USED BY THE K-DISPLAY DRIVER TO RBFKDS 
          SINCE THEY MUST BE REMEMBERED AND CANNOT RESIDE IN THE
          OVERLAY SPACE (REQUIRED BY THE K.+ CONSOLE COMMAND).
          GAV     80/10/17     UPDKDS,RBFBONES
 PRU0010  MOVE K-DISPLAY TO OVERLAY.
          REPRIEVE MASK WAS NOT SET CORRECTLY.
          FIXES SET,LP,BLK=1111 COMMAND REJECTED PROBLEM. 
          DCM STATE GREATER THAN SKIP STATE CAUSE CPU ABORT.
          INPUT BY-PASSED SUPERVISORY MSG NOT PROCESSED.
          UPDATE IMS. 
          SO     80/10/07  CRACKER, DIS, CON$END, MISC$, SCH
                           FIN$CON, UPDKDS, DCM, SMP, RBFBONES
                           RBF$AID, AAARBF, ENDRBF, UCM, ROLLOUT
          SO      80/10/09     EXTCMD,SMP 
 PRU0011  EXT DIVERT COMMAND CAUSE RBF TO LOOP. 
          USER BREAK CAUSE RBF TO HANG IF RBF SENT ABL WORTH OF CONSOLE 
          MESSAGES. 
 PRU0012  FILE IS RETURNED WITH QUEUE PRIORITY OF ZERO
          SO      80/10/10     EXTCMD 
 PRU0013  SET FILE SUPERVISORY MESSAGE LENGTH NOT CORRECTLY SET 
          SO      80/10/10     DCM
 PRU0014  FIX PM CONVERSION ROUTINE 
          SO      80/10/11     DCM, SMP, DCB$COM, DCL$DMP 
 PRU0015  FIXES DCM STATE TABLE ERROR R/H 
          SO      80/10/16     DCM
 PRU0016  SPEED UP OVERLAY EXECUTION. 
          SO     80/10/20    CHOOSE 
 RB2A006  FIX DIS TO CORRECTLY DISPLAY A PM MESSAGE WHEN PROCESSING A 
          DIS,DEV COMMAND.  FIX DCM TO RETURN THE TSB BUFFER FOR A PM 
          MESSAGE AS PART OF ACTION 18. 
          GAV     80/10/23     DCM,DIS
 RB2A007  FIX LOADX TO NOT RELOAD A SECONDARY OVERLAY IF IT HAS 
          ALREADY BEEN LOADED.  FIX SMP TO CALCULATE DCB$PMSIZE 
          CORRECTLY.
          GAV     80/10/23     SMP,RBF$AID
 RB2A008  CHANGE CON/REQ PROCESSING BY NEW TO NOT REJECT A CON/REQ SM 
          ON THE BASIS OF TERMINAL CLASS(IE. ALL CLASSES ARE ALLOWED).
          GAV     80/10/28     NEW
 RB2A009  FIX DMP$DCL, A SPITBOL GENERATED TABLE DUMPER, TO DUMP THE NEW
          DCB STRUCTURE (CHANGED TO FIX PM BUGS). 
          GAV     80/10/30     DMP$DCL
 RB2A010  WAIT FOR MODE 4A BATCH INTERRUPT CODES BEFORE SWITCHING 
          TO INTERACTIVE MODE.
          SO      80/10/27     MISC$,ACKED,DCM,EXTCMD,ROLLOUT,SCH,UCM 
 RB2A011  CREATE ROUTINE DUMPQCK, A DEBUGGING AID WHICH CALLS SPITBOL 
          TABLE DUMPER ROUTINES ON THE FLY.  THE OUTPUT FET AND CIO 
          BUFFER IS MOVED FROM THE 02,00 OVERLAY TO THE 00,00.
          GAV     80/11/05     DMP$COM,RBFBONES 
 RB2A012  FIX DCM ACTIONS 32 AND 33 TO CLEAR THE DCB$EOJ FLAG AFTER 
          SENDING AN OFC/DATA SM WITH EOJ SET AND NO DATA.
          GAV     80/11/10     DCM
 RB2A013  FIX THE DCM STATE TABLE ERROR R/ D (IGNORE REWIND IF
          OFC/EOO IS RECEIVED). 
          GAV     80/11/11     DCM
 RB2A998  CORRECTS STATE TABLE TO ACCEPT BATCH DATA RESPONSES IN
          SKIP STATE. 
          SDC     80/11/10     DCM
 RB2A999  CHANGES RBF TO CORRECTLY FILL IN REPEAT COUNT FIELDS IN 
          *DIS DEV* COMMAND, AND  ALSO CHANGES RBF TO USE XCDD AND XCOD 
          MACROS INSTEAD OF ITS OWN SYMPL FUNCTIONS.  CHANGES ZERO TO 
          LETTER "O". 
          SDC     80/11/06     DIS,EXTCMD 
 RB2A017  FIX WAITSM TO COMPILE WITHOUT IMS DEFINED.
          GAV      80/11/18  WAITSM 
 *L540*    ************************************************ 
 RB2AIMS  UPDATE THE IMS INFORMATION IN DECK AAARBF TO GET MORE DETAILED
          INFORMATION AND CORRECT VARIOUS MISPELLINGS AND DIAGRAMS. 
          GAV     80/12/15     AAARBF 
 RB2A014  CHANGE THE NAME OF THE LFN USED FOR OUTPUT BY THE SPITBOL 
          TABLE DUMPERS.  CHANGE THE RBF STARTUP PROC TO COPY THIS
          FILE TO OUTPUT UPON ABNORMAL TERMINATION. 
          GAV     80/11/18     DUMPERS,DUMPQCK,RBF$AID,RBF
 RB2A015  CHANGE CON$END TO WAIT WHEN NETPUTING THE RBF ENDED MESSAGE 
          IF THE NUMBER OF UNACKNOWLEGED BLOCKS OUTSTANDING IS ABL. 
          GAV     80/11/19     CON$END
 RB2A016  KEEP SMP FROM SETTING NON-EXISTANT FIELDS IN THE DCB WHEN 
          PROCESSING OFC/OSTPD, RC = BATCH INTERRUPT.  FIX AN ERROR 
          IN THE DCM IMS.  DELETE AN UNUSED ARRAY DECLARATION FROM
          EXTCMD. 
          GAV     80/11/19     DCM,EXTCMD,SMP 
 RB2A018  RESET THE ACCOUNTING LIMITS (VIA THE SET/FILE SM) BEFORE
          SENDING THE LINE LIMITS EXCEEDED MESSAGE TO A LINE
          PRINTER WHICH HAS EXCEEDED IT ACCOUNTING LIMITS.
          GAV     80/11/20     DCM
 RB2A019  STOP SENDING TWO 1READY MESSAGES WHEN TRYING TO RETURN TO 
          INTERACTIVE MODE AT A 200UT CONSOLE AFTER LP OUTPUT.
          GAV     80/11/24     DCM
 RB2A020  FIX CRACKER TO CORRECTLY INTERPRET COMMANDS SUCH AS SKIP LPA
          (SPECIFYING ALL DEVICES OF A CERTAIN TYPE BUT PICKING UP THE
          DEFAULT VALUE FOR A MISSING PARAMETER SUCH AS THE NUMBER OF 
          PRU-S TO SKIP).  THIS PROBLEM EXISTS IN R5 RBF EVEN THOUGH IT 
          HAS NEVER BEEN PSR-ED.
          GAV     80/12/03     CRACKER
 RB2A021  CHANGE VARIOUS SPITBOL TABLE DUMPERS TO DUMP MORE USEFUL INFO.
          GAV     80/12/04     RBFTXT 
 RB2A022  FIX AN ERROR IN THE DCM STATE TABLE. (STATE=ABORT,
          INPUT=ENDCON) MAKES STATE TABLE DECLARATION AGREE WITH
          TABLE.
          GAV     80/12/05     DCM
 RB2A023  CHANGE THE SPITBOL GENERATED TABLE DUMPING PROGRAMS TO
          CORRESPOND TO THE NEW STRUCTURES DEFINED BY RB2A021.
          GAV     12/08/80     DMP$DCB,DMP$DCL,DMP$TCB,DMP$UCB,DMP$UCL
 RB2A024  MAKE SURE UCM SIMULATES A BATCH INTERRUPT AFTER SENDING AN
          ERROR MESSAGE TO A MODE 4A CONSOLE BEFORE ANY BATCH ACTIVITY
          HAS BEGUN.
          GAV     80/12/09     UCM
  RB2A025  THIS UPDATE THE DCM$STATE ARRAY CORRESPONDING TO 
           THE STATE TABLE. 
           LTN      12/11/80       DCM
  
 RB2A026  MAKE SURE ALL OUTPUT BUFFERS QUEUED UP FOR A CONSOLE ARE
          RELEASED PRIOR TO RELEASING THE CONSOLE-S TCB WHEN ENDING 
          A CONSOLE CONNECTION. 
          GAV     80/12/11     FIN$CON
 RB2A993  TESTS IF BATCH DEVICES NEED STARTING FOR AUTOMATIC GO 
          WHEN CONSOLE RECEIVES FC/INIT.
          SDC     80/11/26     SMP
 RB2A994  ELIMINATES "XXX ABORTED BY TERMINAL OPERATOR" MESSAGE WHEN
          NO FILE IS ABORTED. 
          GAV     80/11/21     UCM
 RB2A996  SEND THE SET/FILE COMMAND AFTER RESUME OUTPUT CMD.
          SDC     80/11/19     DCM,RBFTXT 
 RB2A997  CHANGES STATE TABLE TO CORRECT STATE WHEN REWINDING FILE
          WHILE PRINTING BANNER.
          SDC     80/11/10     DCM
  RB20134  THIS CORRECTS THE FIELD LOCATION OF R$STATUS AND 
           R$FS IN DECLARATION OF THESE VARS. THE STATUS
           BE CORRECTLY RESPONDED.
           LTN          11/17/80        RBF 
  
  RB20141  MAKING SURE THAT THE ORDINAL NOT ZERO WHEN REQUESTING
           FOR BUFFERS. 
           LTN          12/10/80          DIS 
  
 RB2A490    TEMPORARILY STORE UCM$FILEACT FLAG TO HAVE THE
            APPROPRIATE MESSAGE AT CONSOLE WHEN ABORT CR. 
            LTN     17/02/81       UCM
  
 RB2A496  FIX EXTCMD TO NOT ISSUE READY MESSAGE IF CARD READER
          ACTIVE
          LL     02/18/81    EXTCMD 
 RB2A502  WHEN PROCESSING RESTORE OR SUPPRESS COMMAND FOR CARD READER 
          DO NOT CREATE RESUMEDCM TRIGGER FOR UCM IF UCM WILL IGNORE
          IT.  THIS WILL PREVENT CONSOLE FROM GOING INTO IDLE STATE 
          WHEN NO BATCH DEVICES ARE ACTIVE. 
          EG     03/11/81    EXTCMD 
 RB2A507  FIX CONSOLE STATE TABLE TO CORRECT SIZE 
          EG     02/17/81    EXTCMD 
  RB2A508  THIS RESETS THE DIVERT-FLAG IN TCB WHEN CONSOLE
           LOGOUT. ALSO, MAKES SURE THE MESSAGE QUEUE-EMPTY 
           IS ISSUED WHEN NOTHING IS IN OUTPUT QUEUES (PU,PL,PR)
           LTN          02/20/81     CON$END
  
  RB2A510  THIS MOD TURNS OFF THE TCB$SKPDFL FLAG AFTER IT
           PERFORMS SKIP,DFL. 
           LTN            02/25/81    DCM 
  
 RB2A512  FIX RBF CPU LOOP PROBLEM CAUSED BY RESUME CARD READER TRIGGER 
          NOT BEING PROCESSED.  EXTCMD IS BEING CORRECTED TO CLEAR
          TCB$CRINTR FLAG WHEN IT GENERATES THE RESUME TRIGGER SO THAT
          UINPTYPE WILL PROCESS THE RESUME TRIGGER.  INPTYPE IS BEING 
          CHANGED TO NOT PROCESS INPUT COMMANDS IF OUTSTANDING BATCH
          COMMAND TO PROCESS.  INPTYPE IS ALSO BEING CORRECTED TO NOT 
          CHECK FOR CARD READER INTERRUPT OR LINE PRINTER INTERRUPT 
          WHEN THE DEVICE DOES NOT EXIST. 
          EG     81/03/02    EXTCMD,ACKED 
  RB2A513  WHEN ISSUING IFC/ABORT , RBF SHOULD NOT
           SET THE CONSOLE INTO BATCH MODE. 
           LTN      03/04/81       UCM
  
 RB2A529  FIX INPTYPE TO NOT ALWAYS GENERATE INTERRUPT TRIGGER WHEN 
          NO BATCH DEVICES ARE PRESENT ON MODE 4A LINE. 
          EG      81/04/23    ACKED 
 RB2A532    CORRECTING THE ORIGIN TYPE OF AN ACCOUNTING 
            DAYFILE MESSAGE ISSUED BY RBF.
            LTN     04-28-81       DCM
  
 *L552*    ************************************************ 
  RB2A511   THIS MOD MOVES BUFFER TCB$ANNEX TO GLOBAL AREA
            TO ROUTINE *DIS*. AFTER EVENT(LOC(WAIT)) EXECUTED 
            *DIS* OVERLAY COULD BE RELOADED AND CAUSES LOCAL
            POINTERS RESET. 
            LTN   81-06-04     DIS,TCB$COM
  
 RB2A523   - RBF WILL ISSUE JOB ABORTED MESSAGE TO CONSOLE UNDER
             ALL CIRCUMSTANCES. 
             LTN      04/13/81     UCM
  
  RB2A525  IF ENCOUNTER CR NOT READY WHILE ABORT CR IS
           IN PROCESS, MESSAGE CR NOT READY WILL BE ISSUED
           AFTER COMPLETED THE ABORT. 
           LTN       04-07-81       UCM 
  
  RB2A542   NULL JOB CARD WILL BE CONSIDERED AS JOB CARD
            ERROR.
            LTN           81/07/29    UCM 
  
 RB2A546  FIX RBF TO ACCEPT UP TO 255 CHARACTERS UPLINE FROM CONSOLE
          CONNECTION. 
          EG     09/30/81    CMD$COM,CMD
 RB2A560  FIX RBF TO NOT GO INTO BATCH MODE AFTER RECEIVING IFC/JOB 
          AND SENDING IFC/JOB/N TO NAM. 
          EG     10/02/81    UCM
 RB2A562  FIX DINPTYPE TO NOT GENERATE RESUMEDCM TRIGGER TO DCM WHEN
          OUTPUT DEVICE IS IN EXTENDED DIVERT MODE. 
          EG     10/14/81    ACKED
 RB2A563  RBF ABORT WITH DAYFILE MESSAGE 'UCM ERROR BAD PP CALL - DSP'
          IF FILE IS ACTIVE DURING CONNECTION END PROCESSING, SET RC
          = DSPABT"OPREQ" BEFORE DISPOSE THE FILE TO SYSTEM INPUT Q.
          JSJ    10/22/81    CON$END UCM
  
 RB2A564  RBF PASS BAD RC IN IFC/JOB/N TO NAM WHEN NULL JOB IS INPUT. 
          IF NULL JOB IS RECEIVED, FAKE A BLANK JOB AND USER CARD 
          FOR RA+1 CALL - VEJ.
          JSJ    10/22/81    UCM
  
 RB2A577  FIX RBF TO ISSUE NETWAIT CALL FOR 2 SECONDS WHEN ALL
          CONNECTIONS ARE IN EITHER THE BACKGROUND CHAIN OR THE 
          EVENT CHAIN.
          EG     11/13/81    SCH
 RB20165  FIX RBF TO SET UP FILE TYPE FN/FV PAIR IN SET/FILE SUP
          MSG CORRECTLY.
          EG     09/29/81    MISC$,DCM
 RB20172  FIX ACKED TO NOT GENERATE INPUTX TRIGGER WHEN THERE IS BATCH
          ACTIVITY TO DO. 
          EG     10/12/81    ACKED
 RB20177  RBF MISSING LINE TERMINATOR FOR CARD PUNCH BANNER OFC/DATA. 
          TO FIX: MAKE TEXT LENGTH ONE WORD ( ZERO FILLED) LONGER.
          JSJ    10/22/81    DCM
  
 *L562*    ************************************************ 
   F4299H    THIS MOD UPDATES RBF TO RUN WITH THE RELEASED- 
             R6 OPERATING SYSTEM. 
             INFORMATIONS ARE : 
               -  DAP  ARH4032  BY R. N. LARGERSTROM (
                  CHANGES BASED ON THIS ONE ) 
               -  DAP  S3983  BY E. E. HAMADA 
               -  DAP  ARH3669 AND ARH3670. 
             LTN     07-07-81   ALL COMDECKS AND DIS, UCM 
                                DCM, CRACKER, CMD ... 
  
 F4299M   REPLACE RBF CHECK FOR QUEUE PRIORITY WITH CHECK FOR SUBSYSTEM ID. 
          EG     07/30/81    INI,RBF$AID
 F4299P   CHANGE RBF PROCEDURE FROM KCL TO CCL. 
          EG     10/16/81    RBF
 RB2A555  RBF DEBUG ABORTED DUE TO INVALID "SM". FIX: FOR IFC/EOJ,IFC/END,
          IFC/ABORT PROCESSING, ABORT RBF ONLY IF UCB$FETLFN AND SM'S 
          PRULFN DON'T MATCH. 
          JSJ    10/22/81    SMP
  
 RB2A567  RBF K-DISPLAY MISSPELLED -USER- AS -USR-. 
          JSJ  12/21/81    RBFKDS 
 RB2A584  RBF ABORTED WITH MESSAGE -SUPERVISORY MESSAGE DISCARDED-. 
          FIX: SKIP THE COMPARISON OF DCB$FNTORD AND PRUFNT.
          JSJ    12/14/81   SMP 
 RB2A587  RBF CPU ERROR EXIT - CM OUT OF RANGE. 
          FIX: CORRECT QAB/QAC LINKED LIST DELETION ALGORITHM. DON'T
          CLEAR QAB$QFLAGS FOR - CANCEL - COMMAND. ON EXIT FROM 
          FIN$CON AND ON ENTRY TO NEW$CON, CHANGE ALL THE QAC$ACN 
          FIELDS AS REQUIRED. 
          JSJ    12/29/81    CON$END,EXTCMD,DIS,FIN$CON,NEW,QCM 
 RB2A588  DUPLICATE ENTRY POINTS - LOADOVL. 
          FIX: CHANGE LOADOVL TO LOADRBF IN MODULE CHOOSE.
          JSJ    12/29/81    CHOOSE 
 RB2A589  RBF DOESNT RESPOND TO CONSOLE INPUT AFTER "S,LP,END". FIX:  
          SET TCB$BATCH TO TRUE IF CONSOLE GOES INTO BATCH MODE.
          JSJ    01/29/82    EXTCMD 
 RB2A591  PURGE,ALL COMMAND DOESN'T WORK. 
          FIX: DO NOT SET THE JSN FLAG. 
          JSJ    12/30/81    QAB$COM EXTCMD 
 RB2A604  PURGE COMMAND DOESN'T WORK. FIX: CORRECT QAC$IN AND 
          QAC$LIMITADD POINTERS.
          JSJ    02/02/82    EXTCMD 
 RB2A610  CANCEL,QUEUE DOESN'T WORK AFTER DIVERT,ALL. FIX: TURN OFF 
          CORRESPONDING QUEUE FLAG IN QAC BLOCK IF ORIGINALLY MORE
          THAN ONE FLAGS ARE TURNED ON. 
          JSJ    02/10/82    EXTCMD 
 *L571*    ************************************************ 
 RB2A565  PROBLEM - ON A MODE 4A TERMINAL, IF THE CARD READER INPUT IS
                    BEING ABORTED (ABORT,CR ENTERED) AND THE OUTPUT 
                    DEVICE IS IN STOP STATE, RBF CONSTANTLY CAUSES A BATCH
                    INTERRUPT ON THE CARD READER BY SENDING A READY MESSAGE 
                    TO THE CONSOLE. 
          SOLUTION - FUNCTION ACTIVE IN EXTCMD IS BEING CORRECTED TO DETECT 
                     CARD READER IN ABORT BYPASS STATE AS BEING A ACTIVE
                     DEVICE.
          EG     82/03/12    EXTCMD 
 RB2A597  RBF DOESN'T CHECK FORMS CODE. FIX: INCLUDE FORMS CODE IN
          SELECTION CRITERIOR UNCONDITIONALLY.
          JSJ    01/21/82  DCM
 RB2A600  RBF FAILED - CPU ERROR EXIT. FIX: DON'T MAKE DCB MOVEABLE 
          UNTIL THE DATA BLOCK HAS BEEN SENT. 
          JSJ    02/03/82    DCM
 RB2A612  PROBLEM - CPU ERROR EXIT CAUSED BY QCM USING QAB$ACN PARAMETER
                    WHEN IT WAS ZERO. 
          SOLUTION - CHANGE QCMEXTDONE TO CHECK FOR NONZERO QAB$ACN 
                     PARAMETER BEFORE USING PARAMETER.
          EG     82/02/23    QCM
 RB2A614  PROBLEM - RBF STOPPED PROCESSING TERMINAL TYPEINS AFTER BATCH 
                    INTERRUPT OCCURRED.  DCM HAD OVERWRITTEN
                    DCB$INPTYPE FIELD WITH INTERNAL CALL GENERATED
                    AFTER RETURNING FROM QAP/QAC/DSP CALLS. 
          SOLUTION - SMP WILL CHECK IF LAST ACTION FOR OUTPUT DEVICE
                     CONNECTIONS IN STATES IDLE AND GOBAN HAS BEEN
                     COMPLETED.  IF IT HAS NOT, THE SUP MSG IS
                     RELINKED TO THE SMP INPUT QUEUE FOR NEXT TIME. 
          EG     82/02/23    SMP,DCM,DCB$COM
 RB2A618  PROBLEM - IF CARD READER IS IN STOP STATE AND OUTPUT DEVICE 
                    IS IN GO STATE, RBF WILL NOT PROCESS ANY TERMINAL 
                    TYPEINS IF THERE IS NO OUTPUT FILES FOR THE OUTPUT
                    DEVICE. 
          SOLUTION - FIX EXTCMD TO NOT CLEAR TCB$LPINTR WHEN IT CREATES 
                     A RESUMEDCM TRIGGER FOR DCM AND THE OUTPUT DEVICE
                     IS IN STATE IDLE.
          EG     82/02/25    EXTCMD 
 RB2A619  PROBLEM - RBF STOPPED PROCESSING CONSOLE INPUT WHEN IT
                    PROCESSED A CARD READER INTERRUPT BEFORE PROCESSING 
                    A BANNER COMPLETED TRIGGER TO DCM WHICH CAUSED
                    RBF TO CLEAR THE CARD READER INTERRUPT FLAG.
          SOLUTION - DCM$RSM WILL ONLY CLEAR THE TCB$INTERRPT FLAG IF 
                     IT ISSUES A OFC/RSM SUPERVISORY MESSAGE. 
          EG     03/04/82    DCM
 RB2A620  PROBLEM - IF GO,LP IS ENTERED FOLLOWED BY STOP,LP WHEN THERE
                    IS NO OUTPUT FILE, AND THE CARD READER IS IN STOP 
                    STATE, RBF WILL STOP PROCESSING TERMINALS INPUTS. 
                    PROBLEM ALSO OCCURS IF GO IS GIVEN TO OTHER OUTPUT
                    DEVICES LIKE CARD PUNCH AND PLOTTER.  CARD READER 
                    INTERRUPT FLAG WAS CLEARED BY INTERRUPT TRIGGER TO
                    EXTCMD WHICH WAS TRIGGERED BY READY TRIGGER TO
                    EXTCMD WHICH WAS TRIGGERED BY BATCHCMD TRIGGER TO 
                    EXTCMD WHICH WAS TRIGGERED BY STOP COMMAND. 
          SOLUTION - DCM WILL SET TCB$READY FLAG WHEN IT PROCESSES A
                     STOP COMMAND WHICH WILL GENERATE READY TRIGGER TO
                     EXTCMD WHICH WILL GENERATE A INTERRUPT TRIGGER TO
                     EXTCMD WHICH WILL PUT THE CONSOLE BACK IN
                     INTERACTIVE MODE.
          EG     82/03/05    DCM
 RB2A627  PROBLEM - RBF SENDS READY MESSAGE PERIODICALLY TO MODE 4A 
                    TERMINAL IF CARD READER IS IN STOP STATE AND OUTPUT 
                    DEVICE IS IN GO STATE.  IF PAGE WAIT IS ON AT 
                    TERMINAL AND THE TERMINAL IS LEFT UNATTENDED, A 
                    LARGE NUMBER OF READY MESSAGES WILL GET QUEUED
                    IN CCP. 
          SOLUTION - DCM WILL SET TCB$RESUME FLAG TO TRUE WHEN IT 
                     PROCESSES A RESUMEDCM TRIGGER AND FINDS NO 
                     OUTPUT FILE TO SEND.  THIS WILL PREVENT READY
                     FROM BEING SENT TO TERMINAL. 
          EG     82/03/11    DCM
 RB2A632  PROBLEM - RBF ISSUED PP REQUEST USING DCB WHEN DCB WAS
                    MOVABLE.  SINCE PP REQUEST WAS WITHOUT RECALL,
                    RBF CONTINUED EXECUTING AND MOVED THE DCB WHILE 
                    THE PP WAS STILL USING IT.  THIS CAUSED RBF TO
                    HANG, BUT COULD ALSO CAUSE CPU ERROR EXITS AND
                    MODE ERRORS.
          SOLUTION - BEFORE DCM ISSUES PP REQUESTS USING THE DCB, IT
                     WILL ALWAYS MAKE IT NONMOVABLE FIRST.
          EG     04/05/82    DCM
 RB2A637  PROBLEM - AFTER ABORT,LP IS ENTERED, CCP PUTS TERMINAL IN 
                    BATCH MODE.  AFTER OUTPUT IS TERMINATED, RBF SETS 
                    TERMINAL IN INTERACTIVE MODE IF IT HAS NO MORE
                    OUTPUT, BUT CCP STILL HAS TERMINAL IN BATCH MODE. 
                    THIS CAUSES THE TERMINAL TO HANG.  RBF SHOULD SEND
                    READY MESSAGE TO TERMINAL TO CAUSE BATCH INTERRUPT
                    TO PUT TERMINAL BACK IN INTERACTIVE MODE. 
          SOLUTION - DCM WILL SET TCB$BATCH TO TRUE WHEN IT SENDS AN
                     OFC/ABORT SUPERVISORY MESSAGE TO PIP.  THIS WILL 
                     CAUSE A READY MESSAGE TO BE SENT TO THE CONSOLE
                     WHEN RBF FINDS NO MORE OUTPUT FILES FOR THE
                     TERMINAL.
          EG     03/30/82    DCM
 RB20176  RBF MODE OUT DUE TO ILLEGAL INSTRUCTION.
          FIX: MOVE PROC CALL -GETBUF- TO MAINLP IF POSSIBLE. IF BUFF 
          N/A IN PROC OTHER THAN MAINLP, THEN TERMINATE -DIS- COMMAND.
          JSJ    01/12/82    DIS TCB$COM
 RB20179  PROBLEM - RBF RECEIVES OFC/STPD RC=FLE (FILE LIMIT EXCEEDED)
                    IN RESPONSE TO OFC/DATA TO PRINT ACCOUNTING MESSAGE 
                    AT END OF OUTPUT.  THIS CAUSES A DCM STATE TABLE
                    ERROR AND THE TERMINAL TO HANG. 
          SOLUTION - DCM WILL PROCESS OFC/STPD RC=FLE THE SAME WAY IT 
                     WOULD IF IT HAD RECEIVED A OFC/EOO WHICH IS THE
                     RESPONSE RBF SHOULD ALWAYS GET.
          EWB    82/02/08    DCM
 RB20205  PROBLEM - WHEN RBF GENERATES A CARD PUNCH BANNER,  IT IS
                    ZEROING OUT A MEMORY LOCATION 2 WORDS BEYOND THE
                    END OF THE DCB.  THIS IS CAUSING RBF TO FAIL WITH 
                    WITH A CPU ERROR EXIT, IT THE BUFFER SPACE AFTER
                    THE DCB IS BEING USED.
          SOLUTION - FIX DCM$BANGEN TO NOT ZERO OUT THE MEMORY LOCATION 
                     BEYOND THE END OF THE DCB BUFFER.
          EG     04/05/82    DCM
 F4299S   PROBLEM - RBF NEEDS TO BE UPDATED TO COMPILE AND RUN WITH R7
                    NAM.
          SOLUTION - RBF HAS BEEN CHANGED TO CALL R7 NAMPL COMDECKS.
                     THE NAME OF PROCEDURE SETACN HAS BEEN CHANGED TO 
                       SETUPACN.
                     RBF HAS HAD A CONTROL CARD CRACKER ROUTINE ADDED 
                       TO IT TO PROCESS A MC CONTROL CARD PARAMETER.
                     RBF HAS BEEN CHANGED TO CALL NETREL TO FLUSH THE 
                       NETWORK DEBUG LOG FILE.
                     RBF HAS BEEN CHANGED TO CALL DMB INSTEAD OF DMD. 
                     RBF HAS BEEN CHANGED TO PROCESS PRU/ON/N RESPONSE
                       TO PRU/ON/R SUPERVISORY MESSAGE. 
                     RBF HAS BEEN CHANGED TO IGNORE TCH/TCHAR SUP MSG 
                       WHEN IT IS FOR A BATCH CONNECTION. 
                     RBF HAS BEEN CHANGED TO SET BDD, SCT, AND NXP BITS 
                       TO FALSE IN CON/REQ/N SUPERVISORY MESSAGE. 
                     RBF HAS BEEN CHANGED TO PICK UP CURRENT FILE 
                       POSITION IN QAC GET CALL AND PASS THE CURRENT
                       FILE POSITION TO PIP IN OFC/START SUP MSG. 
                     RBF HAS BEEN CHANGED TO USE R7 EXEC FROM NAMPL.
                     RBF HAS BEEN FIXED TO PASS ACCOUNTING LIMITS 
                       TO CCP CORRECTLY.
                    RBF HAS BEEN FIXED TO ALWAYS HAVE DATE AND TIME 
                      FOLLOW *RBF ENDED* MESSAGE INSTEAD OF SOMETIMES 
                      SENDING GARBAGE AFTER THE MESSAGE.
                    RBF HAS BEEN FIXED TO PICK UP CORRECT LENGTH OF 
                      OUTPUT FILES FROM QAC PARAMETER BLOCK.
          EG     06/15/82    GLOBALI,PRU$COM,RBF$COM,TCB$COM,TSB$COM, 
                             RBFDEF,RBFTXT,CHGSIZE,CMD,CON$END,DCM,DIS, 
                             EXTCMD,GETBUF,GETDATA,INI,NEW,PROCESS,SCH, 
                             SETACN,SMP,UCM,RBFBONES,SM$COM,CONVDDB,
                             CTRLCDP,RBF,RBFPROC(DELETED),QAB$COM 
 F4299T   PROBLEM - RBF NEEDS TO HAVE MINOR CHANGES MADE TO SUPPORT 
                    THE STATION.
          SOLUTION - RBF HAS BEEN CHANGED TO DISPLAY LOGICAL IDS IN 
                     INPUT QUEUE DISPLAY AND PURGE FILES IRRESPECTIVE 
                     OF THE FILE-S LOGICAL ID.
          EG     07/01/82    QAB$COM,QAC$COM,DIS,EXTCMD 
 RB2A599  PROBLEM - FOLLOWING ABORT OF PRINT FILE, JOB SEQUENCE NUMBER
                    IN MESSAGE IS FOLLOWED BY COLONS. 
          SOLUTION - CHANGE FIELD LENGTH TO RECEIVE FOUR CHARACTERS 
                    TRUNCATING THE TRAILING ZERO FILLED BYTES OF THE
                    FETLFN. 
          LYM    05/10/82    DECKS MODIFIED - DCM 
 RB2A647  PROBLEM - THERE IS A FILE SIZE HEADING IN THE DEVICE DISPLAY, 
                    BUT THE ACTUAL FILE SIZE DOES NOT APPEAR IN THE 
                    DEVICE LINE.
          SOLUTION - INCLUDE THE RIGHTMOST CHARACTERS OF THE XCONVERT FIELD 
                    IN THE D$FS (FILE SIZE) FIELD AND CHANGE THE FIELD
                    BEING CONVERTED.
          LYM    06/30/82    DECKS MODIFIED - DIS 
 RB2A626  PROBLEM - IF OUTPUT FILE IS PRINTING ON A MODE 4 PRINTER
                    WHEN THE CONSOLE IS SWITCHED TO IAF OR LOGGED OUT,
                    THE OUTPUT FILE GOES BACK TO THE OUTPUT QUEUE WITH
                    A PRIORITY OF ZERO. 
          SOLUTION - WHEN EXTCMD PROCESSES A IAF OR LOGOUT COMMAND, IT
                     WILL STORE THE DEFAULT PRIORITY VALUE O"100" IN
                     THE TCB$PRIORITY FIELD FOR DCM TO USE IN IT-S DSP
                     CALL.
           EG     07/23/82    EXTCMD
 *L580*    ************************************************ 
 RB2A655  PROBLEM - RBF PASSES CURRENT PRU POSITION THAT IT RECEIVES
                    FROM QAC ON GET CALL TO PIP WITHOUT CHECKING ITS
                    VALUE.  IF IT IS LARGER THAN THE FILE SIZE, NAM 
                    IS ABORTED BY CIO WHEN IT TRIES TO READ THE FILE
                    AT THAT POSITION. 
          SOLUTION - CHANGE RBF TO CHECK CURRENT PRU POSITION AND IF
                     IT IS GREATER THAN EOI PRU POSITION, IT WILL SET 
                     THE CURRENT PRU POSITION TO THE BEGINNING OF THE 
                     FILE.
          EG     09/10/82    DCM
 F4299V   CHANGE RBF PROCEDURE FILE SO THAT IT CAN ONLY BE INITIATED
          BY NAMI WHEN THE NETWORK IS BROUGHT UP. 
          EG     09/13/82    RBF
 MH0A492  PROBLEM - DESCRIPTIONS ARE NOT PROVIDED FOR THE OVERLAYS
                    IN RBFBONES.
          SOLUTION - INSERT COMMENTS FOR THE OVERLAYS.
          PROBLEM - RBF ACCEPTS AN A-A APPLICATION REQUEST. 
          SOLUTION -RBF WILL REJECT A CONNECTION REQUEST FROM ANOTHER 
                    APPLICATION (WITH A DEVICE TYPE OF 5).
                 LYM         10/21/82;DECKS MODIFIED - NEW
 RB5A004  PROBLEM - RBF MAY NOT SKIP BACKWARD ENOUGH PRUS WHEN IT PICKS 
                    UP AN OUTPUT FILE THAT HAD IT PRINTING INTERRUPTED. 
          SOLUTION - DCM HAS BEEN CORRECTED TO LOOK AT BOTH ABL AND DBS 
                     TO DETERMINE THE NUMBER OF PRUS TO BACK UP.
          EG     11/22/82    DCM,NEW,DCB$COM,DCB$DMP
 RB5A009  PROBLEM - RETURN COMMAND DOES NOT REWIND FILE TO BOI. 
          SOLUTION -REWIND THE FILE BEFORE RETURNING IT TO THE OUTPUT 
                   QUEUE. 
          LYM    10/11/82    DECKS MODIFIED DCM 
 RB5A011  PROBLEM - RBF MODES OUT IF DEVICE ORDINAL EQUALS ZERO.
          SOLUTION -REJECT CONNECTION REQUEST IF DEVICE ORDINAL IS ZERO.
          LYM    12/2/82     DECKS MODIFIED - NEW 
 RB5A013  PROBLEM - RBF RECEIVED OFC/STPD SUP MSG FROM PIP WITH 
                    CURRENT PRU POSITION VALUE.  RBF WAS PRINTING THE 
                    BANNER AT THE TIME, SO THE VALUE WAS MEANINGLESS. 
                    RBF STORED IT IN THE DCB AND SENT IT LATER TO PIP IN
                    OFC/START SUP MSG.  THIS CAUSED CIO TO ABORT NAM
                    WHEN PIP TRIED TO READ A FILE USING THE INVALID PRU 
                    POSITION VALUE. 
          SOLUTION - SMP HAS BEEN CORRECTED TO NOT STORE THE CURRENT PRU
                     POSITION VALUE FROM AN OFC/STPD SUP MSG WHILE RBF
                     IS READING THE BANNER. 
          EG     11/16/82    SMP
 RB5A014   PROBLEM - RBF ZERO FILLS THE APPLICATION NAME FIELD .
           SOLUTION -BLANK FILL THE APPLICATION NAME FIELD BEFORE INSERTING 
                    THE RBF END COMMAND.
          LYM    12/01/82    EXTCMD 
 RB5A025  PROBLEM - BAD REFERENCE TO DUMPING PROCEDURE. 
          SOLUTION -CHANGE PROCEDURE NAME TO "FORTRAN" , PRESERVING THE 
                    TABLES FOR FUTURE USE.  UPDATE THE "DMP" DECKS TO 
                    REFLECT CHANGES MADE IN CORRESPONDING COMDECKS. 
          LYM    11/23/82    DECKS MODIFIED - ACN$DMP 
                                              DCB$DMP 
                                              DCL$DMP 
                                              TCB$DMP 
                                              TCD$DMP 
                                              UCB$DMP 
                                              UCL$DMP 
                                              DUMPQCK 
                                              RBF$AID 
 *L596*    ************************************************ 
 FR4206A  *RBF* HAS INCORRECT FORMAT FOR THE PM MESSAGE.
  
          THE PM MESSAGE, ISSUED TO A REMOTE BATCH CONSOLE, IS
          SUPPOSE TO BEGIN WITH THE CHARACTERS *PM*.
  
          HAVE *RBF* SEND THE PM MESSAGE IN THE FOLLOWING FORMAT TO 
          THE CONSOLE: *PM LPN DATA* WHERE N IS THE DEVICE ORDINAL AND
          DATA IS THE PM MESSAGE. 
  
          GAH            83/02/18        DCM, DIS, SMP
  
 FR4334A  FEATURE CODE FOR USER BREAK PROTOCOL CHANGE.
  
          RWH    04/04/83    SMP,CONSOLE,DIS,EXTCMD,GETDATA 
  
 FR4376A  RBF TERMINAL TIMEOUT FEATURE
  
          THIS FEATURE PROVIDES RBF WITH AN INACTIVE TERMINAL 
          MONITOR.  THE NEW MONITOR IS INVOKED AT APPROXIMATELY SEVEN-
          SECOND INTERVALS BY THE MAIN SCEDULING ROUTINE WITHIN RBF.
          THE MONITOR SCANS ALL CONFIGURED CONNECTIONS AND MAKES
          INACTIVITY CHECKS FOR ALL CONNECTIONS CONNECTED TO RBF. 
          TERMINAL INACTIVITY IS DETECTED WHEN NO PASSIVE DEVICES 
          ARE IN THE PROCESS OF TRANSMITTING OR RECEIVING BATCH DATA
          (I.E., NO BATCH FILE ASSIGNED).  WHEN TERMINAL INACTIVITY IS
          FIRST DETECTED, A TIMER IS SET TO AN INSTALLATION DEFINED 
          TIMEOUT VALUE AND INACTIVITY TIMING BEGINS.  IF THE TIMER 
          SHOULD EXPIRE, AN *END* COMMAND IS SIMULATED FOR THE INACTIVE 
          TERMINAL AND AN APPLICATION SWITCH TO NVF OCCURS.  AT THIS
          POINT, EXISTING NVF TIMEOUT LOGIC GETS TRIGGERED AND
          THE TERMINAL IS DISCONNECTED WHEN THE NVF TIMER EXPIRES.
  
          DEPENDENCIES - THIS MOD IS DEPENDENT ON THE THE MODIFICATIONS 
                         TO CCP, NIP, AND NVF.
  
          ALT              01/10/83             DCM, CON$END, NEW, SCH, 
                                                UCM, IP$COM, TCB$DMP, 
                                                DMP$TCB, AAARBF 
  
          FR4376A 
  
 FR4377A  BANNER PAGE ENHANCEMENTS
  
          RBF IS MODIFIED TO DETERMINE, PRIOR TO CALLING QAP, 
          WHETHER THE DESTINATION TERMINAL SUPPORTS SKIP TO 
          BOTTOM OF FORM.  IF SO, THE NEW DCB$NBF FLAG IN THE 
          FET IS SET TO ZERO, OTHERWISE DCB$NBF IS SET TO 1 
          (TERMINAL DOES NOT SUPPORT SKIP TO BOTTOM-OF-FORM). 
          FOR ALL LINE PRINTERS THAT REQUEST CONNECTION TO RBF, 
          THE NEW DCB$PL FIELD IN THE FET IS SET TO THE NUMBER
          OF LINES PER PAGE DEFINED FOR THAT TERMINAL.  IF DCB$PL 
          IS SET TO ZERO, A DEFAULT PAGE LENGTH OF 66 WILL BE 
          USED BY 0BP TO LOAD THE BANNER PAGE.
  
          DEPENDENCIES - THIS FEATURE IS DEPENDENT ON THE CHANGES 
                         TO SYSTEM ROUTINES 0BP AND QAP.
  
          ALT            01/10/83         DCM, AAARBF, DCB$COM
                                          DMP$DCL, DCL$DMP, DCB$DMP 
                                          DMP$DCB 
  
          FR4377A 
  
 FR4379A  ENHANCED TRACKING OF HASP RJE FILES 
  
          THIS FEATURE PROVIDES THE REMOTE BATCH USER A METHOD OF 
          TRACKING THE INPUT/OUTPUT FILES OF A TERMINAL CONNECTED 
          TO RBF.  IN RESPONSE TO BATCH INPUT TO THE HOST,
          A MESSAGE WILL BE SENT TO THE RJE STATION INFORMING 
          THE USER OF THE NOS ASSIGNED JOB SEQUENCE NAME AND THE
          CARD READER ORDINAL.  IMMEDIATELY BEFORE BATCH OUTPUT 
          IS SELECTED FOR TRANSMISSION TO THE REMOTE BATCH TERMINAL,
          A MESSAGE WILL BE SENT TO THE RJE CONSOLE INFORMING 
          THE USER OF THE OUTPUT FILE JSN, OUTPUT DEVICE TYPE,
          DEVICE ORDINAL, AND NO. OF PRUS TRANSFERRED.
          WHEN THE OUTPUT FILE HAS COMPLETED TRANSFER TO THE REMOTE 
          BATCH TERMINAL, A MESSGE WILL BE SENT TO THE REMOTE BATCH 
          CONSOLE INFORMING THE USER OF THE END OF THIS 
          OUTPUT STREAM.
  
          DEPENDENCIES - NONE 
  
          ALT            01/10/83      CRACKER, DCM, DIS, NEW, SMP, UCM,
                                       TCB$COM, TCD$DMP 
  
          FR4379A 
  
 FR5167A  ADD MULTI SECURITY LEVEL FEATURE TO RBF.
          LTN    82/12/14    SYS$PAR,DCM,UCM. 
  
 FR5211A  MODIFY RBF TO NEVER SPECIFY ORIGIN TYPE WHEN CALLING QAC AS 
          DOCUMENTED IN USER SERVICE CLASS ASSIGNMENT GID - ARH5211.
          EG     03/01/83    DCM,DIS,EXTCMD 
 RB2A559  JOB ABORTED MESSAGE HAS INCORRECT JOB NAME. 
  
          INVALID JOBNAME IN MSG 'JOB XXXXXXX ABORTED BY OPERATOR'. 
  
          DISPLAY MESSAGE -INAPPROPRIATE COMMAND- IF THERE IS NO
          JOB TO BE ABORTED.
  
          JSJ/RWH        04/21/83       UCM 
  
    RB20244- QABSIZE WAS DEFINED ONE WORD SHORT. IT CAUSES
             QAC TO CLOBBER THE HEADER OF THE NEXT BUFFER.
    SOLUTION - DEFINE QAB$SIZE TO 18
    CYC   12/9/82 
 RB20279  PROBLEM - RBF DOES NOT USE CORRECT EC VALUES FOR PLOT FILES 
                    IN NOS VERSION 2 SYSTEMS. 
          SOLUTION - CORRECT MISC$ TO DESIGNATE CORRECT EC VALUES FOR 
                     PLOT FILES AND CORRECT DCM$QACCALL TO USE CORRECT
                     EC TYPES.
          EG      03/03/83    MISC$,DCM 
 RB20297  SYSTEM PERFORMANCE DEGRADATION CAUSED BY RBF/QAC INTERFACE. 
  
          RBF FAILS TO SET USER INDEX IN QAC PARAMETER BLOCK, WHICH CAUSES
          QAC TO ACCESS THE VALIDATION FILE TO OBTAIN IT.  QAC IS ABLE TO 
          DO THIS BECAUSE RBF SUPPLIES THE USER NAME IN THE PARAMETER BLOCK.
  
          RBF WILL SUPPLY THE USER INDEX AS WELL AS THE USER NAME IN THE
          QAC PARAMETER BLOCK.
  
          RWH            06/17/83       DCM, DIS, EXTCMD
  
 RB20299  RBF ABORTS WITH BAD PP CALL TO DSP. 
  
          CONDITION CAN OCCUR IF A USER GETS DISCONNECTED OR LOGS 
          OUT WHILE READING IN A JOB WITH A JOB CARD ERROR. 
  
          SET THE *QUEUE FILE WITH JOB CARD ERROR* FLAG IN THE
          *DSP* PARAMETER BLOCK.
  
          RWH            07/01/83       CON$END 
  
 RB5A022  PROBLEM - RBF IS NOT LOOKING AT CORRECT BITS IN QAC PEEK CALL 
                    RESPONSE FOR SRUS ACCUMULATED.
          SOLUTION - ARRAY REPLY IN MODULE DIS HAS BEEN CORRECTED TO
                     DEFINE CORRECT FIELD FOR SRUS ACCUMULATED. 
          EG     01/20/83    DIS
 RB5A026  RBF K DISPLAY SHOWS TCLASS=731 FOR HASP (PRE) CONSOLE.
  
          FIX K-DISPLAY TO SHOW CORRECT TERMINAL CLASS.  ALSO INCLUDES
          CHANGES TO INCORPORATE NEW TC=3 AND MODIFIED TC=7.
  
          RWH            06/13/83       UPDKDS
  
 RB5A038  SKIP COMMAND DOES NOT CLEAR TCB$ERROR 
  
          THE PROBLEM IS THAT WHEN THE RBF *SKIP* COMMAND 
          IS PROCESSED AFTER A MODE 4 PRINTER HAS GONE NOT
          READY, THE NOT READY ERROR FLAG IS NOT CLEARED. 
          MODULE NEW IS USING THE WRONG SYMBOL TO CHECK FOR APPLICATION 
          TO APPLICATION CONNECTIONS. 
  
          THE SOLUTION IS TO CLEAR TCB$ERRORS WHEN THE *SKIP* 
          COMMAND IS PROCESSED. 
          MODULE NEW HAS BEEN CORRECTED TO REFERENCE THE RIGHT SYMBOLS. 
  
          ALT      83/01/26      DCM,RBFDEF,NEW 
  
          RB5A038 
  
 RB5A041  RBF PROC DOES NOT ABORT ON SYSTEM CHECKPOINT. 
  
          RBF INVOCATION PROCEDURE DOES NOT CHECK FOR *SYE* IN EF,
          WHICH OCCURS WHEN THE SYSTEM DOES A CHECKPOINT. 
  
          CHANGE EF FLAGS WHICH RBF CHECKS TO INCLUDE *SYE*.
  
          RWH            04/18/83       RBF 
  
 RB5A043  COMMAND *PURGE,ALL* PURGES ALL EXECUTING AND QUEUE FILES
          IN SYSTEM.
  
          RBF FAILS TO SET BIT IN QAC PARAMETER BLOCK TO RESTRICT SEARCH
          TO FILES FOR PERTINENT USER.
  
          RBF WILL SET BIT 3 OF QAC SELECTION FLAGS WHICH RESTRICTS SEARCH
          TO DESTINATION FAMILY AND USER NAME.
  
          RWH            05/25/83       EXTCMD
  
 RB5A044  PROBLEM - RBF MODULE CON$END ZEROED ONE WORD BEYOND THE 
                    END OF THE DCM BLOCK, WHICH WAS THE BUFFER
                    HEADER WORD OF THE NEXT BUFFER.  THIS CAUSED
                    GETBUF TO GO INTO A CPU LOOP THE NEXT TIME
                    IT WAS CALLED TO GET A BUFFER.
          SOLUTION - THE SIZE OF THE DCM BLOCK HAS BEEN INCREASED 
                     BY ONE.
          EG     06/01/83    MISC$
 RB5A048  MLS - RBF PRINTS FILE WITH ACCESS LEVEL ABOVE THE LINE
          ACCESS LEVEL LIMIT. 
  
          ACCESS LEVEL SELECTION FLAG NOT BEING SET IN *QAC* PARAMETER
          BLOCK, EVEN THOUGH ACCESS LEVEL FIELDS ARE BEING SET. 
  
          SET ACCESS LEVEL SELECTION FLAG IN *QAC* PARAMETER BLOCK
          IF SYSTEM IS IN SECURITY MODE.
  
          RWH            83/07/07       DCM 
  
 RB5A050  RBF SHOULD IGNORE ALL *HOP* SM-S. 
  
          ADD CODE TO IGNORE *HOP* SM-S.  THIS WILL BE UPGRADED AT A
          LATER TIME TO ACTION *HOP* SM-S.
  
          RWH            07/20/83       SMP 
  
 RB5A051  RBF INVOCATION JOB DOES NOT ALLOW RESTART ON SAME INVOCATION
          NUMBER. 
  
          RUN FILES ARE DEFINED WITHOUT ATTEMPT TO ATTACH.
  
          ATTEMPT TO ATTACH FILES IN WRITE MODE, SIMILAR TO OTHER HOST
          INVOCATION JOBS.  ALSO INCLUDES CODE TO PRESERVE RUN FILES IF 
          THE NETWORK TERMINATES NORMALLY BUT RBF HAD PREVIOUS FAILURES 
          (NA5A244); AND CODE TO PRESERVE RUN FILES IF THE NETWORK
          TERMINATES NORMALLY, RBF HAD NO FAILURES ON THIS RUN, BUT HAD 
          FAILURES ON A PREVIOUS RUN (NA5A355). 
  
          RWH            07/06/83       RBF 
  
 RB5A052  MLS - RBF REJECTS INPUT JOB WITH JOB CARD ACCESS LEVEL
          GREATER THAN ZERO.
  
          INCORRECT DEFINITION OF RBF DATA STRUCTURE FIELD *UCB$AL*,
          WHICH IS ALSO A *VEJ* PARAMETER BLOCK FIELD.
  
          CORRECT DEFINITION OF *UCB$AL*. 
  
          RWH            83/07/07       UCB$COM 
  
 RB5A055  RBF SHOULD NOT USE CURRENT PRU ADDRESS FROM NAM IF ZERO.
          REF NA5A354.
  
          INVALID PRU ADDRESS BEING GIVEN BY RBF DUE TO ARRIVAL OF OFC/STPD 
          SUPERVISORY MESSAGE WHILE OUTPUTTING BANNER.
  
          THIS MODSET SUPPORTS CHANGE IN PIP (NA5A354) WHICH SETS CURRENT 
          PRU ADDRESS TO ZERO IF IT IS NOT VALID. 
  
          RWH            07/07/83       SMP 
  
 RB5A066  STARTUP JOB SKIPS TRACE HEADER IF MC=0. 
  
          CHANGE RBF STARTUP JOB TO CHECK FOR MC=0 BEFORE 
          DOING SKIPR ON ZZZZZDN. 
  
          RWH            08/16/83       RBF 
  
 RB2A645  ASCII8 PRINT FILE DISPLAYED AS *T8* IN PRINT QUEUE. 
  
          PLOT TYPE EXTERNAL CHARACTERISTICS ARE BEING USED FOR BOTH
          PLOT FILES AND PRINT FILES. 
  
          DEFINE UNIQUE PRINT AND PLOT EC TYPES, AND DISPLAY APPROPRIATE
          EC VALUE. 
  
          DEPENDENT ON RB20279. 
  
          LYM/RWH        04/22/83       DCB$COM, DCM, DIS 
  
 *L614*    ************************************************ 
 RB5A057  MULTIPLE REPETITIONS OF FILE PRINT FROM POINT OF LAST 
          INTERRUPT.
  
          CURRENT PRU ADDRESS OF FILE IS SAVED ON ALL INTERRUPTS. 
          HOWEVER, THIS POINTER IS NOT CLEARED WHEN A FILE IS REPEATED. 
  
          SET CURRENT PRU ADDRESS TO 1 WHEN A FILE IS TO BE REPEATED. 
  
          RWH            10/19/83       DCM 
  
 RB5A070  RBF ABORTED ON ERR/LGL - OFC/RSTR SENT AFTER OFC/EOO
          RECEIVED. 
  
          RESET DCB$TEMPSTP WHEN OFC/EOO RECEIVED SO OFC/RSTR WILL
          NOT BE SENT WHEN OUTPUT RESTARTED.
  
          RWH            10/03/83       DCM 
  
 RB5A080  RBF HOGGING CPU.
  
          CONDITION CAN OCCUR IF *NSUP* INDICATES MESSAGES IN QUEUE,
          BUT ONLY NULL BLOCKS ARE RETURNED.
  
          THIS CODE WILL ALLOW RBF TO DO A RECALL, THEN COMPLETE OTHER
          TASKS, IN SUCH A SITUATION. 
  
          RMF/RWH        83/10/06       SCH 
  
 RB50013  RBF SHOULD NOT RESTART AFTER OPERATOR STOP. 
  
          RBF STARTUP JOB DOES NOT CHECK FOR *ODE* TO EXIT WHILE
          LOOP. 
  
          ADD CHECK FOR *ODE* IN WHILE LOOP.
  
          DEPENCENCIES - DEPENDENT ON RB5A041.
  
          RWH            10/14/83       RBF 
  
 RB50016  RBF WILL NOT PUNCH 026 DECKS. 
  
          QAC PARAMETER BLOCK NOT BEING PROPERLY SET UP 
          FOR PUNCH FILES.
  
          CHANGE QAC CALL TO SPECIFY HIERARCHICAL EC SELECTION
          FOR PUNCH FILES.
  
          DEPENDENCIES - DEPENDENT ON MODSET QAC14 REF NS20192. 
  
          RWH            10/04/83       DCM 
  
 RB50023     PROBLEM- WHEN USER ROUTES A LONG PRINTFILE TO A REMOTE 
                      BATCH PRINTER, RBF WILL STOP PRINTING AT THE
                      MOMENT THE LINELIMIT IS EXCEEDED. HOWEVER, IF 
                      THE USER SPECIFIES A REPETITION COUNT FOR THE 
                      FILE, RBF WILL PRINT A SECOND BANNER AND THEN 
                      CONTINUE PRINTING THE FILE AT THE SAME PLACE
                      IT STOPPED. 
  
             SOLUTION-WHEN AN OUTPUT FILE EXCEEDS THE USERS LIMITS THE
                      FILE WILL BE DROPPED AND NO REPETITIONS PRINTED.
                      THIS IS DONE BY SETTING THE REPETITION COUNTER
                      TO -1 WHEN THE OUTPUT EXCEEDS THE LIMITS. 
                      THIS WILL FORCE THE OUTPUT TO BE PURGED.
                      SETTING DCB$EOJ TRUE FORCES *LINELIMIT EXCEEDED*
                      MESSAGE TO BE SENT TO THE TERMINAL. 
  
             RAC/RWH        10/30/83        DCM 
  
 RB50034  RBF DOES NOT TIME OUT TERMINALS SELECTIVELY.
  
          PRIOR TO 2.1, RBF HAD NO TERMINAL TIMEOUT CAPABILITY. 
          WITH THE ADDITION OF FEATURE FR4376A, RELEASED IN 2.1,
          RBF WILL TIME OUT TERMINALS ON AN ALL-OR-NONE BASIS 
          (A BUILD-TIME OPTION).
  
          THIS MODSET ENHANCES THE FEATURE TO, IN ADDITION TO THE 
          OTHER TESTS MADE IN DETERMINING TO TIME OUT A TERMINAL, 
          CHECK THE CONSOLE CONNECTION VALIDATION ACCESS WORD FOR 
          THE BIT WHICH SPECIFIES NO TERMINAL TIMEOUT.
  
          DEPENDENT ON NA5A534, WHICH DEFINES THE NO-TERMINAL-
          TIMEOUT BIT IN THE CON/REQ. 
  
          RWH            12/12/83       TCB$COM,NEW,SCH 
  
 RB5A092  RBF ABORTS IF CON/REQ/A FOLLOWED BY DIS.
  
          IF RBF REJECTS A BATCH DEVICE CONNECTION BECAUSE OF 
          DEVICE ORDINAL = 0, THEN THE TERMINAL OPERATOR ENTERS 
          *DIS*, RBF WILL ABORT WITH CM OUT OF RANGE. 
  
          THE CHECK FOR DEVICE ORDINAL = 0 HAS BEEN MOVED AHEAD 
          OF THE INCREMENT OF THE NUMBER OF BATCH DEVICES.
  
          RWH            03/05/84       NEW 
  
 RB5A083  MODE 4 CONSOLE LOCKS UP DURING NORMAL OPERATIONS. 
  
          RBF SWITCHED TO BATCH MODE AFTER *STOP,LP* COMMAND, 
          THEN SENT OUT *READY* BUT DID NOT SWITCH BACK TO
          INTERACTIVE MODE. 
  
          RBF HAS BEEN CHANGED TO NOT AUTOMATICALLY SWITCH TO 
          BATCH MODE AFTER *STOP* COMMAND.
  
          RWH            03/06/84       EXTCMD
  
 FR3270   THIS MODSET IMPLEMENTS THE RBF PORTION OF 3270 TIP
          STANDARDIZATION.
  
          RWH            02/13/84       TCH$COM,TCB$DMP,TCD$DMP,UPDKDS
  
 FA5915A  THIS MODSET IMPLEMENTS THE RBF PORTION OF 
          721 CONSOLE SUPPORT FOR THE *K* DISPLAY.
  
          RWH            02/13/84       SM$COM,UPDKDS,RBFBONES,DIS
  
 RB5A093  RBF STARTUP JOB RUNS TOO SLOWLY IN SHARED RMS ENVIRONMENT.
  
          THE RBF STARTUP JOB DEFINES ALL PERMANENT FILES FOR DUMPS,
          TRACES, ETC.  AT STARTUP.  THIS IS INEFFICIENT, ESPECIALLY
          IN A SHARED RMS ENVIRONMENT.  ALSO, IF THE NETWORK IS 
          RUNNING IN NON-DEBUG MODE, TRACE FILES WILL NOT BE USED,
          EVEN THOUGH THEY ARE DEFINED.  IN ADDITION, THERE ARE 
          INTERLOCK/RECOVERY PROBLEMS IN A SHARED RMS ENVIRONMENT 
          WHEN A PF DEVICE GOES DOWN.  THIS CONDITION IS COMPOUNDED 
          BY RBF HAVING SEVERAL DIRECT ACCESS FILES OPEN IN WRITE 
          MODE AT ALL TIMES.
  
          THE RBF STARTUP JOB HAS BEEN MODIFIED TO DEFINE FILES AT
          JOB TERMINATION, AND ONLY IF CORRESPONDING LOCAL FILES
          EXIST.
  
          RWH            03/29/84       RBF 
  
 RB50047  RBF GENERATES BLANK CARDS AFTER BANNER ON HASP PUNCH. 
  
          RBF WAS NOT CHANGED AT 2.0 TO PUT OUT ONLY 4 CHARACTERS 
          OF JSN INSTEAD OF 7 CHARACTERS OF JOB NAME.  THIS RESULTS 
          IN 3 WORDS OF BINARY ZERO BEING SENT BY RBF, AND
          INTERPRETED BY THE HASP TIP AS 3 EMPTY LINES (BLANK 
          CARDS). 
  
          RBF WILL NOW PUT OUT ONLY THE 4 CHARACTERS OF THE JSN 
          ON THE BANNER CARD. 
  
          RWH            02/28/84       DCM 
  
 *L617*    ************************************************ 
 FS4499A  CHANGE INPUT/EXECUTION SERVICE CLASS
  
          CURRENTLY, RBF DOES NOT PROVIDE THE CAPABILITY FOR
          A TERMINAL OPERATOR TO OVERRIDE THE SPECIFIED SERVICE CLASS 
          WHILE THE JOB IS IN THE INPUT OR EXECUTION QUEUE. 
          IF A REMOTE BATCH USER INADVERTENTLY SUBMITS A JOB
          WITH AN INCORRECT SERVICE CLASS, THE USER MUST
          CALL THE CENTRAL SITE OPERATOR TO REQUEST THE SERVICE 
          CLASS CHANGE. 
  
          THE SOLUTION IS TO PROVIDE THE TERMINAL OPERATOR
          WITH THE CAPABILITY TO CHANGE THE INPUT AND EXECUTION 
          SERVICE CLASS OF A BATCH JOB VIA THE RBF *CHANGE* COMMAND.
  
          ALT/RWH        06/19/84       CRACKER, EXTCMD, CMD$COM, 
                                        QAB$COM, QAC$COM, QCM 
  
 RB5A096  THIS MODSET ACTIVATES THE *CSTATUS* MACRO FOR 
          K-DISPLAY 721 CONSOLE SUPPORT.
  
          RWH            05/04/84       RBFBONES
  
 RB50069  THE FC PARAMETER ON THE SET COMMAND DOES NOT WORK.
  
          THE SOLUTION IS TO REPLACE FMS ON THE SET COMMAND WITH FC,
          TO BE CONSISTENT WITH ROUTE AND WITH THE RBF REFERENCE
          MANUAL. 
  
          EMH/CC    84/07/05       CRACKER
  
 *L630*    ************************************************ 
 *L642*    ************************************************ 
 RB5A117 RBF ABORTS WITH QAC ERROR WHEN USER INPUTS 
         CHANGE,JSN WITHOUT PRI OR SC.
         SOLUTION - IF NEITHER PRI NOR SC SPECIFIED 
         RBF DOES NOT MAKE QAC CALL.
         CC  85/03/14      EXTCMD 
         CC  85/04/03 
 RB50097  PRINTERS WONT PRINT EVEN IF THERE ARE FILES 
          IN OUTPUT QUEUE.
  
          PROBLEM IS NEWTIM GETS SET TO 0, WHEN CHOOSE
          FOUND NOTHING TO DO. BUT NEWTIM WOULD NEVER 
          GETS RESET IF THERE IS ANY CONNECTION ON THE
          BACKGROUND CHAIN. 
  
          SOLUTION IS TO RESET NEWTIM IN SCH IF NO ACNG 
          ON ANY CHAIN EXCEPT BACKGROUND. 
  
          CC             85/03/07       SCH 
  
 RB50100  THIS MOD FIXES COUPLE PROBLEMS CAUSED BY
          FEATURE CODE FS4499A. 
  
          SEID/CC        85/03/18       CMD$COM, CRACKER
  
 RB50110  CONSOLE REMAINS CONNECTED TO RBF AFTER A CONNECTION BROKEN. 
  
          GAH/CC         84/02/27       CON$END, SMP
  
 *L647*    ************************************************ 
 RB50104 RBF ABORTS WITH DSP I/O SEQUENCE ERROR 
         WHEN THERE ARE TWO PRINTERS ON A HASP STATION, AND 
         ONE PRINTER IS PRINTING THE OTHER IS IDLE, AND THE LINE
         GOES DOWN, THE FILE IS RETURNED BY NIP, AND PICKED UP
         BY RBF FOR THE OTHER PRINTER. THEN RBF TRYIES TO RETURN
         THE SAME FILE TWICE.   R 
         SOLUTION IS TO SET FILEACT TO FALSE WHEN FILE IS TRANSFERRED 
         TO NIP, AND RESET TO TRUE WHEN RETURN TO RBF.
  
         CC 85/08/05,85/09/11 
 RB50128  RBF HUNG OR ABORTS BECAUSE TCB INFO FROM CON/REQ/R
          MESSAGE IS WRONG. THIS PROBLEM OCCURS BECAUSE THE 
          SM BUFFER WAS MOVED BEFORE ROUTINE NEW COULD PICK 
          UP THE INFORMATION. 
          SOLUTION IS TO SET BUFFER NON-MOVEABLE. 
  
          CC 95/08/05 
 *L664*    ************************************************ 
 RB50073 DIS,IN LISTS ENTIRE INPUT QUEUE. 
         SM/CC   85/10/21 
 RB50105  RBF ABORTS DURING INTERACTIVE TERMINAL TIMEOUT PROCESSING.
  
          IF AN AUTO-LOGOUT TAKES PLACE ON AN INTERACTIVE TERMINAL
          WHILE RBF IS EXECUTING A COMMAND FOR THE TERMINAL, RBF
          CAN ABORT.
  
          THE ABORT IS CAUSED BY THE SCHEDULER PUTTING THE TERMINAL 
          ON THE *EXTCMD* CHAIN WHEN A *TCBLINK* ADDRESS EXISTS 
          FOR THE TERMINAL.  THE SOLUTION IS TO CHANGE *SCH* TO SET 
          UP THE *END* COMMAND ONLY IF THE *TCB$CITBUF* FIELD IS
          ZERO.  ALSO, THE CURRENT CHAIN AND MODE ARE LEFT TO ALLOW 
          THE CURRENT COMMAND TO COMPLETE BEFORE PROCESSING THE 
          *END* COMMAND.
  
          GAH/RWH        01/08/86       SCH 
  
 RB50106  RBF ABORTS WHEN AN *X780* USER LOGS OUT.
  
          WHEN AN X780 USER READS IN AN INPUT JOB DECK FOLLOWED 
          IMMEDIATELY BY *LOGOUT* COMMAND, RBF ABORTS.  THE ABORT 
          OCCURS ONLY IF THE *LOGOUT* COMMAND IS PROCESSED
          BEFORE THE *IFC/JOB* SM.  IN THIS CASE, THE *IFC/JOB* SM
          IS IGNORED BUT THE *IFC/EOJ* IS PROCESSED, AND *UCM*
          TRIES TO ABORT A NON-EXISTENT FILE CAUSING RBF TO ABORT.
          THE MOST COMMON ERROR SEEN IS EITHER *CPU ERROR EXIT* 
          OR *UCM ERROR BAD PP CALL DSP*. 
  
          *UCM* IS CHANGED TO CHECK IF IT ACTUALLY HAS THE FILE 
          BEFORE CALLING *DSP* TO DISPOSE OF IT.
  
          PRA/GAH/RWH    1/8/86         UCM 
  
 RB50107  RBF ABORTS WITH *DSP I/O SEQUENCE ERROR*. 
  
          *DCM* DOES NOT REASSIGN THE *QAC* BASED ARRAY AFTER 
          BEING PUT ON THE *BACKGROUND* CHAIN WHEN BUFFER SPACE 
          IS NOT AVAILABLE TO EXPAND THE *DCB*.  THE SAME FILE
          CAN THEN BE QUEUED AT TWO SEPARATE OUTPUT DEVICES AND 
          RBF WILL ABORT WHEN THE FILES ARE RETURNED. 
  
          *DCM* IS CHANGED TO SET UP THE *QAC* BASED ARRAY
          AFTER WAITING FOR BUFFER SPACE. 
  
          GAH/RWH        1/8/86         DCM 
  
 RB50108  *SETUPACN* SHOULD BE CALLED AFTER ALL CALLS TO *RETTSB*.
  
          WHEN RBF CALLS *RETTSB* THE *TSB* BUFFERS CAN MOVE
          DUE TO FIELD LENGTH MANAGEMENT.  ALL CONTROL BLOCKS 
          (BASED ARRAY POINTERS) MUST BE RESET FOLLOWING A CALL 
          TO *RETTSB*.
  
          RBF IS CHANGED TO CALL *SETUPACN*, OR RESET THE APPROPRIATE 
          POINTERS, AFTER ALL CALLS TO *RETTSB*.
  
          GAH/RWH        1-16-86        DIS, FIN$CON, FIN$DEV,
                                        GETDATA, NEW, QCM, UCM
  
 RB50115  RBF APPEARS TO BE DOING UNNECESSARY RFL-S.
  
          DURING A DIAGNOSTIC RUN, RBF WOULD ROLL OUT 1, 2, 3, OR 4 
          TIMES IN RAPID SUCCESSION.
  
          RBF HAS BEEN CHANGED TO ROLL OUT (VIA NETWAIT) FOR THE
          AMOUNT OF TIME IN *SRHTIME* WHICH IS DERIVED FROM 
          *SEARCHTIME* DURING *INIT*.  THE LOGIC TO KEEP TRACK OF 
          HOW MUCH TIME WAS SPENT IN ROLLOUT, IN ORDER TO COMPUTE 
          THE LENGTH OF THE NEXT *NETWAIT*, HAS BEEN DELETED. 
  
          RWH            2/4/86         RBFBONES
  
 RB5A132  RBF HANGS AFTER PRINTING A FILE.
  
          ALSO OCCURS IF FIRST FILE IS ENDED BY *ABORT,LP1*.
  
          TOO MUCH CODE WAS TAKEN OUT IN RB50115.  THIS CODE SETS 
          *NEWTIM* .EQ. *OLDTIM* FOR OTHER MODULE FUNCTIONS.
  
          EG/RWH         3/19/86         CHOOSE, RBFBONES 
  
 RB50118 STOP,DEVICE,END DOES NOT STOP IDLE DEVICES.
  
         STOP,DEVICE,END ISSUED TO AN IDLE DEVICE CAUSES
         THE "INAPPROPRIATE COMMAND" RESPNSE AND THE
         DEVICE REMAINS IN THE GO STATE.
         SM/CC   85/12/04 
  
 *L678*    ************************************************ 
 FR5214   CHANGE RBF TO SUPPORT HOT CDCNET MODE 4 BATCH DEVICES.  THIS
          MEANS RBF WILL GENERATE INTERNAL GO TRIGGERS WHEN CDCNET
          BATCH DEVICES ARE CONNECTED TO RBF. 
          EG     09/012/86    TCB$COM, EXTCMD, NEW, SMP 
 FR5222   CHANGE RBF TO REJECT CONNECTIONS WITH DEVICE TYPE 7.
          EG     09/012/86   NEW
 RB5A137  RBF HANGS TERMINAL IF BANNER SIZE IS INCREASED. 
  
          RBF IS CHANGED TO SET UP THE QAP FET TO (3*PRUSIZE)+1.
  
          RWH            3/5/86         DCM 
  
 RB50160  MODIFY DIS TO SHOW QUEUES WITH ALL ENTRIES. 
          THIS IS DONE ONLY FOR NON-REFRESH QUEUE DISPLAY REQUESTS. 
  
          RDS/CC/RWH     86/08/18       TCB$COM, DIS
  
 RB50175  RBF COULD GO INTO A LOOP IF THE TERMINAL GETS TIMEOUT AND IN
          IDLE STATE.  EXTCMD DOES NOT PASS THE CONNECTION TO CMD AND 
          CAUSES THE LOOP.
  
          CC             86/12/16       EXTCMD
  
 RB50180  RBF PUTS *SUPERVISORY MESSAGE DISCARDED* IN DAYFILE.
  
          THE DISCARDED MESSAGE IS A *CTRL/CHAR/N*.  IT IS A SIDE 
          EFFECT OF THE SECURITY FEATURE CODE FOR NVF.
  
          RBF HAS BEEN CHANGED TO IGNORE THIS SUPERVISORY MESSAGE.
  
          CC/RWH         01/13/87       SMP 
  
 *L688*    ************************************************ 
 RB5A140  EXTRA LINES IN BANNER BETWEEN BLOCK LETTERS AND PAGE
          BORDER BLOCK FOR 3270 TERMINALS.
  
          THE 3270 TERMINAL DOES NOT SUPPORT SKIP-TO-BOTTOM-OF- 
          FORM.  AS A RESULT, THE NO-BOTTOM-OF-FORM OPTION IS 
          USED WHEN QAP CALLS ARE MADE TO GENERATE BANNERS. 
          HOWEVER, RBF SENDS AS A COUNT THE TOTAL PAGE LENGTH,
          WHILE QAP IS EXPECTING A COUNT OF THE NUMBER OF PRINTED 
          LINES ON THE PAGE.
  
          RBF HAS BEEN CHANGED TO SUPPLY A COUNT OF THE TOTAL PAGE
          LENGTH LESS A FIXED AMOUNT. 
  
          RWH            07/15/87       IP$COM, DCM 
  
 *L700*    ************************************************ 
 RB5A141  FEATURE CODE FR5214 SETS CDCNET MODE4 TERMINALS TO "GO" 
          STATE. WHEN USERS ENTERED "END" AND THEN RELOGIN TO RBF 
          THE CARD READER IS CHANGED TO "ABORT" STATE.
  
          SOLUTION IS TO NOT SET TCB$ENDCON FLAG FOR CDCNET TERMINALS.
  
          CC/RWH         87/08/16       EXTCMD
  
 RB5A143  THERE ARE TWO PROBLEMS TO BE FIXED IN THIS MOD. 
          1. RBF DOESN'T PICK UP PUNCH FILES WITH EC=ASCII. 
          2. RBF PICKS UP PUNCH FILES, BUT NEVER CHECKS IF
             IC=ASCII, THEN SETS THE CORRECT FILE TYPE. 
  
          SOLUTION: 1. SET EC=6 IN QAC CALL.
                    2. CHECK IC=ASCII AFTER THE QAC.
  
          CC             87/08/25       DCM 
  
 RB50191  TERMINAL WOULD HUNG IF IT GETS IDLE TIMED OUT AND CON/CB
          AT THE SAME TIME. IN THE NORMAL CASE, RBF SENDS TIMEOUT 
          MESSAGE TO THE TERMINAL. BUT CON/CB IS RECEIVED AT THE
          SAME TIME, THEN THE MESSAGE CAN NOT BE SENT, AND TERMINAL 
          WOULD HUNG BECAUSE RBF NEVER SENDS CON/END. 
  
          SOLUTION IS TO NOT WAIT FOR THE FCACK.
  
          CC    87/12/15        CON$END 
  
 *L716*    ************************************************ 
 FS5468A  HANDLE OFC/STPD RC=6 FOR CDCNET BATCH ENHANCEMENTS. 
  
          RWH            6/03/88        DCB$COM, DCM, SMP 
  
 FS5468B  SUPPORT CDCNET BATCH ENHANCEMENTS - MAKE CDCNET 
          BATCH DEVICE HOT IF BATCH DEVICE *RIC*. 
  
          RWH            5/26/88        DCB$COM, NEW, SMP, UCB$COM
  
 RB50168 RBF DOES NOT PUT OUT A READY MESSAGE AFTER A STOP,LP 
         COMMAND ANY MORE.
  
         PSR RB5A083 FIXED ONE PROBLEM FOR MODE4 STATION, BUT 
         CAUSE HASP TO LOSE THE READY MESSAGE.
  
         CC 87/02/08    EXTCMD
 RB50192  WHEN DAYFILE PRU IS THE SAME AS EOIPRU, AND USER DOES A 
          SKIP,LP,DFL, DAYFILE WILL BE SKIPPED ALSO.
          CC 88/05/11 
 *L739*    ************************************************ 
 RB5A146  RBF HUNG IN REPRIEVE PROCESSING.
          WHEN RBF TRIES TO ROLLIN ITSELF AND GETS A CIO ERROR, 
          IT ABORTS. BUT DURING THE REPRIEVE PROCESSING, IT JUMPS TO
          THE OVERLAY AREA AND HANGS. 
          IT SHOULD JUST NETOFF AND RETURN. 
  
          CC   88/11/28 
  
 RB50193  RB50160 ALLOWS DIS TO DISPLAY FILES IN THE QUEUE. IT USES 
          THE INTERRUPED QAC CALLS TO GET ALL THE INFORMATION.
          AFTER EXCH QAC CALL, IT SAVES THE LAST ORDINAL, WHICH IS
          USED FOR NEXT QAC CALL. 
          FOR DIS,JOB CALLS, IT CALLS QAC ONCE FOR EACH QUEUE. BUT
          IT STILL USES THE LAST ORDINAL FOR EACH CALL. 
  
          THE SOLUTION IS TO CLEAR ORDINAL FOR EACH QAC CALL. 
  
          CC 88/09/29 
  
 RB50199  CON/REQ/R MESSAGE WAS RECEIVED BY GETDATA, AND PUT IN 
          QUEUE, AND THEN PROCESSED BY SMP AND NEW. BEFORE IT 
          WAS PROCESSED BY NEW, THE BUFFER WAS MOVED, SO NEW PICKED 
          UP WRONG INFORMATION FOR THE CONNECTION.
          SOLUTION IS TO SET A NOT MOVE FLAG, SO SUPERVISORY MESSAGE
          WILL NOT BE MOVED TILL IT IS RELEASED.
          CC      89/02/07
 RB50211  FIX RBF INCORRECTLY DISPLAY IN THE LID FIELD. 
  
          THIS MODSET ADDRESSES THE PROBLEM: A *DIS,IN* 
          SHOWS FILES IN THE INPUT QUEUE WITH NO LID ASSIGNED HAVE
          COLONS FOR THE LID. 
  
          THE SOLUTION FOR THE COLON PROBLEM IS TO
          PUT BLANKS IN THE LID FIELD IF THERE IS NO LID ASSIGNED 
          TO THE FILE.
  
          DEPENDENCIES - F4299T 
  
          SRN - MOASIS
  
          STH/CC         89/05/18           DIS,EXTCMD
  
 RB50212  THIS MODSET CHANGES THE RBF DECK, NEW, TO 
          ENABLE THE FILE ACKNOWLEDGEMENT MESSAGE BY DEFAULT
          FOR 200UT CARD READERS. 
  
          DEPENDENCIES - FR4379A. 
  
          SRN - HQD2255 
  
          DAS/CC         89/05/18           NEW 
  
 RB50215  *RBF* CAN HANG IF THE *DIS* REFRESH OPTION IS USED. 
  
          IF A USER ENTERS THE *DIS* COMMAND WITH THE REFRESH OPTION
          ENABLED AND THE TERMINAL WILL NOT ACCEPT CONSOLE OUTPUT,
          *RBF* CAN HANG WITH IT'S FIELD LENGTH FULL OF THE REQUESTED 
          DISPLAY OUTPUT. 
  
          THE SOLUTION IS TO MODIFY THE ROUTINE *ACKED* TO CHECK THE
          *WAITACK* FLAG TO SEE IF ANY MESSAGE ARE ALREADY QUEUED FOR 
          THE TERMINAL CONSOLE AND IF THERE ARE, DO NOT ALLOW ANYMORE 
          TO BE QUEUED FOR OUTPUT.
  
          DEPENDENCIES - RB2A512
  
          SRN - HQD5072 
  
          PRA/CC         89/05/18           ACKED 
  
 *L750*    ************************************************ 
 *L774*    ************************************************ 
 RB50218  PROBLEM  - WHEN A REMOTE BATCH CONNECTION THROUGH CDCNET IS 
                     BROKEN AND AN OUTPUT FILE IS ACTIVE, THE RECOVERY
                     ALGORITHM TO RESUME THE PRINT FILE AT ITS
                     TERMINATION POINT IS IN ERROR. 
  
          ANALYSIS - THE PROBLEM IS CAUSED BY THE ABILITY OF CDCNET TO
                     BUFFER A GREATER AMOUNT OF DATA THAN THE 2550 IS 
                     CAPABLE. 
  
          SOLUTION - THE DOWNLINE MODULE OF RBF HAS BEEN MODIFIED TO
                     ATTEMPTED TO COMPENSATE FOR THIS BY INCREASING THE 
                     NUMBER OF PRUS THAT ARE BACKSPACED BEFORE RESUMING 
                     OUTPUT.
  
          GAH    03/11/91    DCM
  
 RB5A150  PROBLEM  - *RBF* DOES NOT SUPPORT EC=A9/IC=ASCII6 PRINT FILES 
                     AS REQUIRED BY *NOS* MODSET NS2597, PSR=NS25773. 
                     THIS IS TO ALLOW THE PRINTING OF 6/12 ASCII FILES
                     VIA CDCNET WITHOUT PERFORMING AN FCOPY.
  
          SOLUTION - UPDATE *RBF* TO HANDLE EC=A9/IC=ASCII6 PRINT FILES 
                     AS 6/12 ASCII.  THE IC=ASCII6 IS INDICATED BY AN 
                     *IC* VALUE OF 3 IN THE QAC/DSP PARAMETER BLOCK.
                     6/12 ASCII IS INDICATED BY A FILE TYPE OF *BCD029* 
                     AND 6 BIT DISPLAY IS REPRESENTED BY A FILE TYPE
                     *BCD026* IN THE SET/FILE SM TO PIP.
  
          REQUIRES - NS2597 (NS25773), AC11728. 
  
          GAH    91/03/19    MISC$,DCM
  
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L871*    ************************************************ 
 PSRLEVEL CHANGE PSR LEVEL NUMBER 
          PW       78/08/21  RBF$LEV
  
  
